For the complete documentation index, see llms.txt. This page is also available as Markdown.

In-place Cluster Restore

Triggers an in-place restore of the given MongoDB cluster.

post
Authorizations
AuthorizationstringRequired

For 'Basic' authentication, take your credentials by first combining the username and password with a colon (username:password) and then encoding the resulting string in base64 (YWxhZGRpbjpvcGVuc2VzYW1l).

Example Request Header

Authorization: Basic YWxhZGRpbjpvcGVuc2Vzl

More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
clusterIdstringRequired

The unique ID of the cluster.

Body

The restore request.

snapshotIdstringOptional

The unique ID of the snapshot you want to restore.

Example: dcd31531-3ac8-11eb-9feb-046c59cc737e
recoveryTargetTimestring · date-timeOptional

If this value is supplied as ISO 8601 timestamp, the backup will be replayed up until the given timestamp.

Example: 2023-04-21T13:37:50+01:00
Responses
202

Successful operation.

No content

post/clusters/{clusterId}/restore
POST /databases/mongodb/clusters/{clusterId}/restore HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 102

{
  "snapshotId": "dcd31531-3ac8-11eb-9feb-046c59cc737e",
  "recoveryTargetTime": "2023-04-21T13:37:50+01:00"
}

No content

Last updated

Was this helpful?